
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Inter,sans-serif;
}

body{
    background:#f5f7fb;
    padding:40px;
}

.container{
    max-width:900px;
    margin:auto;
}

.card{
    background:white;
    border-radius:20px;
    padding:25px;
    box-shadow:0 10px 30px rgba(0,0,0,.08);
}

h1{
    margin-bottom:20px;
    color:#222;
}

.dropzone{
    border:3px dashed #4f46e5;
    border-radius:15px;
    padding:50px;
    text-align:center;
    background:#eef2ff;
    cursor:pointer;
    transition:.3s;
}

.dropzone:hover{
    background:#e0e7ff;
}

.dropzone.dragover{
    background:#c7d2fe;
}

.file-list{
    margin-top:25px;
}

.file-item{
    background:#fff;
    border:1px solid #e5e7eb;
    border-radius:12px;
    padding:15px;
    margin-bottom:15px;
}

.file-top{
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:10px;
}

.file-name{
    font-weight:400;
	#overflow-wrap: break-word;
}

.badge{
    background:#4f46e5;
    color:white;
    padding:4px 10px;
    border-radius:30px;
    font-size:12px;
}

.progress{
    width:100%;
    height:20px;
    background:#e5e7eb;
    border-radius:5px;
    margin-top:10px;
    overflow:hidden;
	text-align:center;
	color:white;
}

.progress-bar{
    height:100%;
    width:0;
    background:linear-gradient(
        90deg,
        #4f46e5,
        #06b6d4
    );
    transition:.2s;
}

.actions{
    display:flex;
    gap:10px;
}

.btn{
    border:none;
    padding:10px 14px;
    border-radius:10px;
    cursor:pointer;
    color:white;
}

.download{
    background:#10b981;
	#margin-top:20px;
}

.delete{
    background:#ef4444;
#margin-top:20px;
}

.upload{
    background:#4f46e5;
    margin-top:20px;
}

.size{
    color:#6b7280;
    font-size:13px;
}
.login{
    background:#10b981;
#margin-top:20px;
}
table { width: 100%; border-collapse: collapse; margin-top: 30px; }
        th, td { border: 1px solid #ddd; padding: 8px; text-align: left; }
        th { background-color: #f2f2f2; }
		
